/*-----------------------------------------------------------------------*/
/*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
/*-----------------------------------------------------------------------*/
/*  Programmname: xyplott.h                                              */
/*                                                                       */
/*  Revision: V1.0     Date: 22.04.2009    Autor: Chr. Monstein          */
/*                                                                       */
/*  Purpose: Generiert aus ASCII-Datei einen XY-Plott, z.B. Windgeschw.  */
/*                                                                       */
/*  Compiler: BORLAND C++Builder 6                                       */
/*-----------------------------------------------------------------------*/

// Created by: Chr. Monstein 22.04.2009
// Updated by: Chr. Monstein 04.04.2011
//---------------------------------------------------------------------------
#ifndef xyplottH
#define xyplottH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <NMFtp.hpp>
#include <Psock.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// Komponenten, die von der IDE verwaltet werden
    TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TTimer *Timer2;
        TCheckBox *CheckBox1;
        TLabel *Label5;
        TLabel *Label4;
        void __fastcall ReadConfig(void);
        void __fastcall ReadConfigCallisto(void);
        void __fastcall Timer2Timer(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall CheckBox1Click(TObject *Sender);
private:	// Benutzerdeklarationen

public:		// Benutzerdeklarationen
    __fastcall TForm1(TComponent* Owner);
    
        char imagedir[240];
        char LCpath[240];
        int timerinterval;
        char titlecomment[80];
        int yscale;
        int adcdivider;
        int p_width;
        int p_height;
        unsigned short dayoffset;
        bool first_pass;
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
