//---------------------------------------------------------------------------
#ifndef configH
#define configH
#include <fstream.h>
//---------------------------------------------------------------------------
enum TObservatory {STS, Bleien5, Bleien7, Institute};

class CConfig {
    private:
    public:
        //void ReadString(char *filename, char *keyword, char *targetbuffer);
        //int Read(char* filename);
        //void NextString();
        //int ahextoi(char *s, int n);
        void __fastcall ReadConfig(void);

        FILE* in;    //configuration file
        char buffer[50];

        //SW limit switches

        float wind_min;
        float wind_max;
        float preamp_min;
        float preamp_max;
        float ambient_min;
        float ambient_max;
        /*
        float elimit_HW;
        float wlimit_HW;

        byte ElSlowUp;
        byte ElSlowDown;
        byte ElFastUp;
        byte ElFastDown;
        byte AzSlowUp;
        byte AzSlowDown;
        byte AzFastUp;
        byte AzFastDown;
        byte SlowUp;            //status = 2   (up or east)
        byte FastUp;            //status = 1   (up or east)
        byte SlowDown;          //status = 4   (down or west)
        byte FastDown;          //status = 5   (down or west)
        byte Stopp;             //status = 3
        int ElDivider;       //need for counter2
        int AzDivider;       //need for counter1
        float motor_speed;       // defines fastest possible speed
        TObservatory Observatory;
        int MSBinverse;
        int ElMSBinverse;
        int AzMSBinverse;
        int Azimutinverse;
        int Elevationinverse;
        int Azimutjoy;
        int Elevationjoy;
        int Errors_Inv;
        int LS_Inv;
        int conftimezone;

        //float Az2El;
        float reductionEle;
        float reductionAzi;

        float AzireductionTrack;
        float ElereductionTrack;

        float eleadj_gradient;
        float eleadj_offset;
        float aziadj_startangle;

        float TransSpeedEle7m;  // 7m Phoenix
        float TransSpeedAzi7m;

        float TransSpeedEle5m;  // 5m Argos
        float TransSpeedAzi5m;

        float TransSpeedEleSTS;  // STS
        float TransSpeedAziSTS;

        float ElOffset;
        float AzOffset;
        float ElFix;
        float AzFix;
        float ElFixSun;
        float AzFixSun;
        float SleepEl;
        float SleepAz;
        float MaintEl;
        float MaintAz;
        double SollOutAz;
        double SollOutEl;  // for Soll Output
        // coordinates
        double length;
        double width;

        char Infotext[50]; // Observatory and version
        char ParkText[40]; // for Parking Status
        char Pic[50];       // pics directory
        char Coord[50];     // Koordinaten directory
        char logPath[40];   // Path of logfile
        char cmdPath[60];  //path for antos_cmd.cfg

        char Icon[20];
        char ComAddress[10];
        char Comdevice[10];
        char Comdevicevm[10];
        char ElAddress[10];
        char AzAddress[10];

        float ElSpeed;    // rs422 signal
        float AzSpeed;    // rs422 signal

        int phase;  // for passage   */
};

#endif

